取引を取得
curl --request GET \
--url https://api.strixai.jp/v1/deals/{record_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.strixai.jp/v1/deals/{record_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.strixai.jp/v1/deals/{record_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.strixai.jp/v1/deals/{record_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.strixai.jp/v1/deals/{record_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.strixai.jp/v1/deals/{record_id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.strixai.jp/v1/deals/{record_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "Rb7XkQpYz3Lh9vMs2N",
"properties": {
"name": "株式会社サンプル 新規導入",
"amount": 5000000,
"close_date": "2026-09-30",
"stage": "proposal",
"account_id": "Ac7XkQpYz3Lh9vMs2N",
"account_name": "株式会社サンプル",
"account_restricted": false,
"owner_id": "Us7XkQpYz3Lh9vMs2N",
"owner_name": "山田 太郎",
"stage_label": "提案",
"stage_category": "open",
"product_name": "商材A",
"latest_score": "38/50",
"latest_score_rank": "B"
},
"created_at": "2026-06-01T09:00:00Z",
"updated_at": "2026-06-12T05:40:00Z"
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}Deals
取引を取得
GET
/
v1
/
deals
/
{record_id}
/
取引を取得
curl --request GET \
--url https://api.strixai.jp/v1/deals/{record_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.strixai.jp/v1/deals/{record_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.strixai.jp/v1/deals/{record_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.strixai.jp/v1/deals/{record_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.strixai.jp/v1/deals/{record_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.strixai.jp/v1/deals/{record_id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.strixai.jp/v1/deals/{record_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "Rb7XkQpYz3Lh9vMs2N",
"properties": {
"name": "株式会社サンプル 新規導入",
"amount": 5000000,
"close_date": "2026-09-30",
"stage": "proposal",
"account_id": "Ac7XkQpYz3Lh9vMs2N",
"account_name": "株式会社サンプル",
"account_restricted": false,
"owner_id": "Us7XkQpYz3Lh9vMs2N",
"owner_name": "山田 太郎",
"stage_label": "提案",
"stage_category": "open",
"product_name": "商材A",
"latest_score": "38/50",
"latest_score_rank": "B"
},
"created_at": "2026-06-01T09:00:00Z",
"updated_at": "2026-06-12T05:40:00Z"
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "リクエストの検証に失敗しました。",
"fields": [
{
"name": "properties.name",
"code": "required",
"message": "この項目は必須です。"
}
]
}
}承認
レスポンス
取得成功
取引(Deal)レコード
取引のプロパティ集合。name は必須。
amount/close_date/stage 等のコアフィールドと、組織別カスタムプロパティが
同じ namespace で扱われる。
リレーションは record_id 文字列で表す。
account_id— 商談先の会社(Account)owner_id— 担当ユーザー(User)。GET /v1/users/で解決する 一覧画面・CSV と同じ項目を読み取り専用で返す(GET /properties/のis_read_only)。作成・更新で指定すると 400。stage_label/stage_category—stageのラベル(一覧画面・CSV の表示)と区分(open/won/lost)。stageの値は選択肢の作成時に決まりラベルだけ変えられるため、値が意味と食い違うことがある(例: 値closed_wonのラベルが「No Opportunity」で区分がlost)。未設定や選択肢に無い値では nullproduct_name— 商材名。商材名で絞り込めるlatest_score/latest_score_rank— 最新の完了スコア(38/50の形)とランク。スコアがなければ nullaccount_name/account_restricted— 会社名。閲覧できない会社は null でaccount_restrictedが trueowner_name/created_by_name— 一覧と同じ表示名。組織を離れたメンバーは固定のラベルになるcontact_ids— 閲覧できるコンタクトの record_id の配列activity_count/last_activity_at— アクティビティの件数と最終日時pathway_*— 受注確率とヘルス。Pathway が有効な組織にのみ存在する<source_type>_<api_name>— SFA 由来のプロパティ(例:hubspot_J08UB0D3)
Show child attributes
Show child attributes